<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">
<html>

<head>

		<link type="text/css" rel="stylesheet" href="../../../build/fonts/fonts.css">
		<link type="text/css" rel="stylesheet" href="../../../build/reset/reset.css">

		<script type="text/javascript" src="../../../build/yahoo/yahoo.js"></script>
		<script type="text/javascript" src="../../../build/event/event.js" ></script>
		<script type="text/javascript" src="../../../build/dom/dom.js" ></script>
		<script type="text/javascript" src="../../../build/dragdrop/dragdrop.js" ></script>

		<script type="text/javascript" src="../../../build/container/container.js"></script>
		<link type="text/css" rel="stylesheet" href="../../../build/container/assets/container.css">

		<style>
			body { background:#eee }

			/* Aqua Panel Skin CSS */
			#myPanel_c.yui-panel-container.shadow .underlay { background-color:#999; }
			#myPanel.yui-panel { border:none; overflow:visible; background-color:transparent; }

			#myPanel.yui-panel .container-close { top:3px; left:4px; height:18px; width:17px; background-image:url(../assets/img/aqua-hd-close.gif); }
			#myPanel.yui-panel .container-close:hover { background-image:url(../assets/img/aqua-hd-close-over.gif); }

			#myPanel.yui-panel .hd { padding:0; border:none; background:transparent url(../assets/img/aqua-hd-bg.gif); color:#000; height:22px; margin-left:7px; margin-right:7px; text-align:center; overflow:visible; }
			#myPanel.yui-panel .hd span { vertical-align:middle; line-height:22px; }
			#myPanel.yui-panel .hd .tl { width:7px; height:22px; top:0; left:0; background:transparent url(../assets/img/aqua-hd-lt.gif); position:absolute; }
			#myPanel.yui-panel .hd .tr { width:7px; height:22px; top:0; right:0; background:transparent url(../assets/img/aqua-hd-rt.gif); position:absolute; }

			#myPanel.yui-panel .bd { overflow:hidden; padding:4px; border:1px solid #aeaeae; background-color:#FFF; }
			#myPanel.yui-panel .ft { font-size:75%; color:#666; padding:2px; overflow:hidden; border:1px solid #aeaeae; border-top:none; background-color:#dfdfdf; }
		</style>

		<script>
				YAHOO.namespace("example.container");

				function init() {
					YAHOO.example.container.myPanel = new YAHOO.widget.Panel("myPanel", { width:"300px", fixedcenter:true, visible:false, constraintoviewport:true } );
					YAHOO.example.container.myPanel.render();
				}

				YAHOO.util.Event.addListener(window, "load", init);
		</script>

	</head>
	<body>

		<div id="myPanel">
			<div class="hd"><div class="tl"></div><span>Panel from Markup</span><div class="tr"></div></div>
			<div class="bd">This is a Panel that was marked up in the document.</div>
			<div class="ft">End of Panel</div>
		</div>

		<div>
			<button onclick="YAHOO.example.container.myPanel.show()">Show panel</button>
			<button onclick="YAHOO.example.container.myPanel.hide()">Hide panel</button>
		</div>

	</body>

</html>